#ifndef QTVALET_H
#define QTVALET_H

#include <iostream>
#include <vector>
#include <string>
#include <fstream>



struct SCar
{
    char name;                 // nazwa samochodu
    char kierunek;             // oznaczenie ustawienia samochodu: 'z', 'n'
    int ax, ay;                // polozenie poczatkowe
    int wektor;                // dlugosc - 1
};


class QtValet
{

public:
    QtValet() {};

    struct EL_TAB
    {
        std::vector<int> tab_moves;                            // tablica posuniec - wektor
        std::vector<std::string> car_moves;                    // tablica posuniec - samochody
    };

    enum DIR
    {
        UP, DOWN, LEFT, RIGHT
    };

    DIR finish_line;

    std::vector<SCar> car;
    std::vector<std::string> MOVES;
    std::vector<std::string> t;

    unsigned int car_A;
    int exit_x;
    int exit_y;
    int szerokosc;
    int numer_A;
    int wysokosc;
    char sav_kier;
    int sav_ile;

    int start_fun();
    void prepare(std::string name);

private:
    bool is_end(std::vector<int> &ruchy);
    int error(std::string x);
    void sprawdz(int g, int h, char znak);
    void find_cars();
    int find_exit();

};


#endif
