#include "valet.h"
//#include <boost/unordered_map.hpp>
//#include <tr1/type_traits>
#include <boost/unordered_set.hpp>
//#include <tr1/unordered_set>
//#include <tr1/unordered_map>


/* funkcja sprawdza, czy samochod A ma wolna droge do wyjscia
  0 - ma wolna droge
  1 - nie ma wolnej drogi
*/


bool QtValet::is_end(std::vector<int> &ruchy)
{

    switch (numer_A)
    {
        //if (car[car_A].kierunek == 'z') if (exit_y < car[car_A].ay)
    case 1:
    {
        for (int i = exit_y+1; i < car[car_A].ay+ruchy[car_A]; i++)
            if (t[car[car_A].ax][i] != '-') return false;
        sav_kier = 'w';
        sav_ile = car[car_A].ay + ruchy[car_A] - exit_y - 1;
        return true;
    }
    //if (exit_y > car[car_A].ay+car[car_A].wektor)
    case 2:
    {
        for (int i = car[car_A].ay+car[car_A].wektor+1+ruchy[car_A]; i < exit_y; i++)
            if (t[car[car_A].ax][i] != '-') return false;
        sav_kier = 'e';
        sav_ile = exit_y - car[car_A].ay - car[car_A].wektor - 1 - ruchy[car_A];
        return true;
    }
    //else if (car[car_A].kierunek == 'n') if (exit_x < car[car_A].ax)
    case 3:
    {
        for (int i = exit_x+1; i < car[car_A].ax+ruchy[car_A]; i++)
            if (t[i][car[car_A].ay] != '-') return false;
        sav_kier = 'n';
        sav_ile = car[car_A].ax + ruchy[car_A] - exit_x - 1;
        return true;
    }
    //if (exit_x > car[car_A].ax+car[car_A].wektor)
    case 4:
    {
        for (int i = car[car_A].ax+car[car_A].wektor+1+ruchy[car_A]; i < exit_x; i++)
            if (t[i][car[car_A].ay] != '-') return false;
        sav_kier = 's';
        sav_ile = exit_x - car[car_A].ax - car[car_A].wektor - 1 - ruchy[car_A];
        return true;
    }
    default :
        return 0;
    }
}



int QtValet::start_fun()
{

    EL_TAB temp;
    std::string test;
    std::vector<int> wek;
    std::vector<EL_TAB> parrent, childs;
    //boost::unordered_map<std::vector<int>, bool> TH;
    boost::unordered_set<std::vector<int> > TH;
    //std::tr1::unordered_set<std::vector<int> > TH;
    //std::map<std::vector<int>, bool> TH;
    //std::tr1::unordered_map<std::vector<int>, bool> TH;
    temp.tab_moves.assign(car.size(), 0);

    parrent.push_back(temp);

    while (parrent.size() != 0)
    {
        for (unsigned int q = 0; q < parrent.size(); q++)                // dla wszystkich rodzicow na liscie
        {
            wek = (parrent)[q].tab_moves;
            // ustaw tablice
            // najpierw ja wyczysc
            for (int i = 1; i <= wysokosc; i++)
                for (int k = 1; k <= szerokosc; k++) t[i][k] = '-';

            // pozniej umiesc w niej samochody
            for (unsigned int i = 0; i < car.size(); i++)
            {
                if (car[i].kierunek == 'z')
                    for (int j = car[i].ay; j <= car[i].ay + car[i].wektor; j++)
                        t[car[i].ax][j + wek[i]] = car[i].name;
                else if (car[i].kierunek == 'n')
                    for (int j = car[i].ax; j <= car[i].ax + car[i].wektor; j++)
                        t[j + wek[i]][car[i].ay] = car[i].name;
            }

            // sprawdz, czy samochod A ma wolna droge do mety
            if (is_end(wek))
            {
                MOVES = (parrent)[q].car_moves;
                test = "A";
                test += sav_kier;
                for (int h = 0; h < sav_ile; h++)
                {
                    MOVES.push_back(test);
                }
                parrent.clear();
                childs.clear();
                return 0;
            }

            // dla danego rodzica sprawdz mozliwe pozycje dzieci
            for (unsigned int i = 0; i < car.size(); i++)      // przejdz do nastepnego samochodu
            {

                if (car[i].kierunek == 'z')       // samochodem ustawionym poziomo ...
                {
                    // ... sprobuj ruszyc sie w prawo ...
                    if (t[car[i].ax][car[i].ay + car[i].wektor + wek[i] + 1] == '-')
                    {
                        //std::pair<std::set<vector<int> >::iterator, bool> ret;

                        wek[i]++;
                        //if (TH.insert(std::pair<std::vector<int>, bool>(wek, true)).second)
                        if (TH.insert(wek).second)
                        //if (TH.insert(std::pair<std::string, bool>("KOL", true)).second)
                        {
                            test.assign(1,car[i].name);
                            temp.tab_moves = wek;
                            temp.car_moves = (parrent)[q].car_moves;
                            temp.car_moves.push_back(test+"e");
                            childs.push_back(temp);
                        }
                        wek[i]--;
                    }
                    // ... sprobuj ruszyc sie w lewo
                    if (t[car[i].ax][car[i].ay + wek[i] - 1] == '-')
                    {
                        wek[i]--;
                        //if (TH.insert(std::pair<std::vector<int>, bool>(wek, true)).second)
                        if (TH.insert(wek).second)
                        {
                            test.assign(1,car[i].name);
                            temp.tab_moves = wek;
                            temp.car_moves = (parrent)[q].car_moves;
                            temp.car_moves.push_back(test+"w");
                            childs.push_back(temp);
                        }
                        wek[i]++;
                    }
                }
                else                              // samochodem ustawionym pionowo ...
                {
                    // ... sprobuj ruszyc sie w dol ...
                    if (t[car[i].ax + car[i].wektor + wek[i] + 1][car[i].ay] == '-')
                    {
                        wek[i]++;
                        //if (TH.insert(std::pair<std::vector<int>, bool>(wek, true)).second)
                        if (TH.insert(wek).second)
                        {
                            test.assign(1,car[i].name);
                            temp.tab_moves = wek;
                            temp.car_moves = (parrent)[q].car_moves;
                            temp.car_moves.push_back(test+"s");
                            childs.push_back(temp);
                        }
                        wek[i]--;
                    }
                    // ... sprobuj ruszyc sie w gore
                    if (t[car[i].ax + wek[i] - 1][car[i].ay] == '-')
                    {
                        wek[i]--;
                        //if (TH.insert(std::pair<std::vector<int>, bool>(wek, true)).second)
                        if (TH.insert(wek).second)
                        {
                            test.assign(1,car[i].name);
                            temp.tab_moves = wek;
                            temp.car_moves = (parrent)[q].car_moves;
                            temp.car_moves.push_back(test+"n");
                            childs.push_back(temp);
                        }
                        wek[i]++;
                    }
                }
            }
        }
        parrent = childs;
        childs.clear();
    }
    std::cout << "NO\n";
    parrent.clear();
    childs.clear();

    return 1;
}



int QtValet::error(std::string x)
{
    std::cout << "BLAD: " << x << std::endl;
    return 0;
}


// ----- funkcja umieszcza wspolrzedne auta i jego nazwe do tablicy ------------
void QtValet::sprawdz(int g, int h, char znak)
{
    SCar temp;

    int pocz = g;
    int kon = h;
    int wek = 0;
    char kier = 'z';
    if (t[g][h+1] == znak)       // samochod poziomy
    {
        do (t[g][++h] = '-');
        while (t[g][h+1] == znak);
        wek = h - kon;
    }
    else if (t[g+1][h] == znak)  // samochod pionowy
    {
        do (t[++g][h] = '-');
        while (t[g+1][h] == znak);
        kier = 'n';
        wek = g - pocz;
    }
    else error("in sprawdz func");
    t[pocz][kon] = '-';

    temp.name = znak;
    temp.kierunek = kier;
    temp.ax = pocz;
    temp.ay = kon;
    temp.wektor = wek;
    car.push_back(temp);
}

// ----- funkcja wyszukuje samochody z tablicy ------------
void QtValet::find_cars()
{
    int i, j;
    for (i = 1; i <= wysokosc; i++)
        for (j = 1; j <= szerokosc; j++)
            if (((t[i][j] >= 'A') && (t[i][j] <= 'Z')) || ((t[i][j] >= 'a') && (t[i][j] <= 'z')) || ((t[i][j] >= '0') && ((t[i][j] <= '9'))))
                //if (isalnum(t[i][j]))
                sprawdz(i, j, t[i][j]);
}

/* funkcja sprawdza, w ktorym punkcie znajduje sie wyjscie z parkingu
 0 - wyjscie w punkcie (exit_x, exit_y)
 -1 - brak wyjscia (domyslnie exit_x = 0, exit_y = 0)
*/
int QtValet::find_exit()
{
    for (int i = 0; i <= szerokosc+1; i++)
    {
        if (t[0][i] == '^')
        {
            exit_x = 0;
            exit_y = i;
            finish_line = UP;
            return 0;
        }
        if (t[wysokosc+1][i] == '^')
        {
            exit_x = wysokosc+1;
            exit_y = i;
            finish_line = DOWN;
            return 0;
        }
    }
    for (int i = 0; i <= wysokosc+1; i++)
    {
        if (t[i][0] == '^')
        {
            exit_x = i;
            exit_y = 0;
            finish_line = LEFT;
            return 0;
        }
        if (t[i][szerokosc+1] == '^')
        {
            exit_x = i;
            exit_y = szerokosc+1;
            finish_line = RIGHT;
            return 0;
        }
    }
    return -1;
}


void QtValet::prepare(std::string name)
{
    int i = 0;
    std::string line;

    exit_x = exit_y = 0;
    numer_A = 0;
    sav_kier = 's';
    sav_ile = 0;

    std::ifstream file(name.c_str());
    while (getline(file, line))
    {
        t.push_back(line);
        i++;
    }
    file.close();

    szerokosc = t[0].size()-2;
    wysokosc = i-2;

    find_cars();


    // to ponizej mzoe byc potrzebne
//    check_if_needed();


// -----
//   *************      Sprawdzanie czy wszystko OK z tablica    ****************
    // szukanie samochodow
    if (car.size() == 0) error("tablica");

    // szukanie 'A'
    car_A = 999;
    for (unsigned int i = 0; i < car.size(); i++)
        if (car[i].name == 'A')
        {
            car_A = i;
            break;
        }
    if (car_A == 999) error("brak A");

    // szukanie wyjscia
    if (find_exit() == -1) error("zle wyjscie");

    // auto 'A' zle ulozone;
    if (!((car[car_A].ax == exit_x) && (car[car_A].kierunek == 'z')) && !((car[car_A].ay == exit_y) && (car[car_A].kierunek == 'n'))) error("zle ulozone");

    if (car[car_A].kierunek == 'z')
    {
        if (exit_y < car[car_A].ay) numer_A = 1;
        else if (exit_y > car[car_A].ay+car[car_A].wektor) numer_A = 2;
    }
    else if (car[car_A].kierunek == 'n')
    {
        if (exit_x < car[car_A].ax) numer_A = 3;
        else if (exit_x > car[car_A].ax+car[car_A].wektor) numer_A = 4;
    }

    for (int i = 1; i <= wysokosc; i++)
        for (int k = 1; k <= szerokosc; k++) t[i][k] = '-';

    for (unsigned int i = 0; i < car.size(); i++)
    {
        if (car[i].kierunek == 'z')
            for (int k = car[i].ay; k <= car[i].ay+car[i].wektor; k++)
                t[car[i].ax][k] = car[i].name;
        else if (car[i].kierunek == 'n')
            for (int k = car[i].ax; k <= car[i].ax+car[i].wektor; k++)
                t[k][car[i].ay] = car[i].name;
    }

}

